libzypp 17.37.10

zypp::detail Namespace Reference

## Classes
struct | ByRepository
| Functor filtering Solvable by Repository. More...
struct | Dump
struct | DumpFilter
class | FdStreamBufImpl
class | fXstream
| Common template to define ifgzstream/ofgzstream reading/writing compressed files. More...
class | PoolQueryIterator
| PoolQuery iterator as returned by PoolQuery::begin. More...
class | PoolQueryMatcher
| Store PoolQuery settings and assist PoolQueryIterator. More...
class | RepositoryIterator
class | SimpleStreamBuf
class | zckstreambufimpl
| Streambuffer reading or writing zchunk files. More...

## Typedefs
using | ZChunkStreamBuf = detail::SimpleStreamBuf<detail::zckstreambufimpl>

## Functions
std::ostream & | dumpOn (std::ostream &str, const PoolQueryIterator &obj)
template<class Tp>
std::ostream & | operator<< (std::ostream &str, const Dump< Tp > &obj)
std::ostream & | operator<< (std::ostream &str, const PoolQueryIterator &obj)
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const PoolQueryIterator &obj) ZYPP_API
| Detailed stream output.

## Typedef Documentation

## ◆ ZChunkStreamBuf

using zypp::detail::ZChunkStreamBuf = detail::SimpleStreamBuf<detail::zckstreambufimpl>

Definition at line 63 of file zckstream.h.

## Function Documentation

## ◆ dumpOn() [1/2]

std::ostream & zypp::detail::dumpOn | ( | std::ostream & | str,
|  | const PoolQueryIterator & | obj )
| related

Definition at line 1838 of file PoolQuery.cc.

## ◆ operator<<() [1/2]

template<class Tp>

std::ostream & zypp::detail::operator<< | ( | std::ostream & | str,
|  | const Dump< Tp > & | obj )

Definition at line 456 of file LogTools.h.